xtide(1)

NAME
xtide - Harmonic tide clock and tide predictor (interactive client)

SYNOPSIS
xtide [-l ``location name'']

DESCRIPTION
XTide is a package that provides tide and current predictions in a wide variety of formats. Graphs, text listings, and calendars can be generated, or a tide clock can be provided on your desktop.

XTide can work with X-windows, plain text terminals, or the web. This is accomplished with three separate programs: the interactive interface (xtide), the non-interactive or command line interface (tide), and the web interface (xttpd).

xtide is the interactive X-windows client for XTide 2. Although in reality it accepts many command line options, you should not need to use them; everything can be done interactively. Just run xtide and point and click your way to whatever you need. If you get stuck, click on a `?' button for on-line help.

For a complete discussion of the command line options and a detailed explanation of the interactive interface, please see the verbose documentation at http://www.flaterco.com/xtide/.

CONFIGURATION
Unless a configuration file /etc/xtide.conf is supplied, you must set the environment variable HFILE_PATH to point to the harmonics files that should have been installed along with the xtide program. Example:
    export HFILE_PATH=/usr/local/share/xtide/harmonics.txt:/usr/local/share/xtide/offsets.xml
If a configuration file is used, the first line should consist of the colon-separated list of harmonics files (e.g. the HFILE_PATH line above without the "export HFILE_PATH=" part). The environment variable takes precedence over the configuration file.

If the optional World Vector Shoreline files have been installed, the path to those files can be supplied in the WVS_DIR environment variable or as the second line of the configuration file.

Set the environment variable XTIDE_DEFAULT_LOCATION to the name of your favorite place if you want to skip the location-choosing step.

OPTIONS

-l ``location name''
    Specify a location for tide predictions. When given to the interactive client, this causes it to start a tide clock for the specified location instead of launching a location chooser on startup. This is useful for starting a tide clock automatically when you log on. Multiple uses of -l will result in multiple tide clocks.

NOTES
If the installer only intends to make predictions for a single location, she may recover several megabytes of disk space by deleting the other locations from the harmonics files.

SEE ALSO
tide(1), xttpd(8), http://www.flaterco.com/xtide/.